> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.vapi.ai/llms.txt.
> For full documentation content, see https://docs.vapi.ai/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.vapi.ai/_mcp/server.

# List Provider Resources

GET https://api.vapi.ai/provider/{provider}/{resourceName}

Reference: https://docs.vapi.ai/api-reference/provider-resources/provider-resource-controller-get-provider-resources-paginated

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: api
  version: 1.0.0
paths:
  /provider/{provider}/{resourceName}:
    get:
      operationId: provider-resource-controller-get-provider-resources-paginated
      summary: List Provider Resources
      tags:
        - subpackage_providerResources
      parameters:
        - name: provider
          in: path
          description: The provider (e.g., 11labs)
          required: true
          schema:
            $ref: >-
              #/components/schemas/ProviderProviderResourceNameGetParametersProvider
        - name: resourceName
          in: path
          description: The resource name (e.g., pronunciation-dictionary)
          required: true
          schema:
            $ref: >-
              #/components/schemas/ProviderProviderResourceNameGetParametersResourceName
        - name: id
          in: query
          required: false
          schema:
            type: string
        - name: resourceId
          in: query
          required: false
          schema:
            type: string
        - name: page
          in: query
          description: This is the page number to return. Defaults to 1.
          required: false
          schema:
            type: number
            format: double
        - name: sortOrder
          in: query
          description: This is the sort order for pagination. Defaults to 'DESC'.
          required: false
          schema:
            $ref: >-
              #/components/schemas/ProviderProviderResourceNameGetParametersSortOrder
        - name: limit
          in: query
          description: This is the maximum number of items to return. Defaults to 100.
          required: false
          schema:
            type: number
            format: double
        - name: createdAtGt
          in: query
          description: >-
            This will return items where the createdAt is greater than the
            specified value.
          required: false
          schema:
            type: string
            format: date-time
        - name: createdAtLt
          in: query
          description: >-
            This will return items where the createdAt is less than the
            specified value.
          required: false
          schema:
            type: string
            format: date-time
        - name: createdAtGe
          in: query
          description: >-
            This will return items where the createdAt is greater than or equal
            to the specified value.
          required: false
          schema:
            type: string
            format: date-time
        - name: createdAtLe
          in: query
          description: >-
            This will return items where the createdAt is less than or equal to
            the specified value.
          required: false
          schema:
            type: string
            format: date-time
        - name: updatedAtGt
          in: query
          description: >-
            This will return items where the updatedAt is greater than the
            specified value.
          required: false
          schema:
            type: string
            format: date-time
        - name: updatedAtLt
          in: query
          description: >-
            This will return items where the updatedAt is less than the
            specified value.
          required: false
          schema:
            type: string
            format: date-time
        - name: updatedAtGe
          in: query
          description: >-
            This will return items where the updatedAt is greater than or equal
            to the specified value.
          required: false
          schema:
            type: string
            format: date-time
        - name: updatedAtLe
          in: query
          description: >-
            This will return items where the updatedAt is less than or equal to
            the specified value.
          required: false
          schema:
            type: string
            format: date-time
        - name: Authorization
          in: header
          description: Retrieve your API Key from [Dashboard](dashboard.vapi.ai).
          required: true
          schema:
            type: string
      responses:
        '200':
          description: List of provider resources
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProviderResourcePaginatedResponse'
servers:
  - url: https://api.vapi.ai
components:
  schemas:
    ProviderProviderResourceNameGetParametersProvider:
      type: string
      enum:
        - cartesia
        - 11labs
      title: ProviderProviderResourceNameGetParametersProvider
    ProviderProviderResourceNameGetParametersResourceName:
      type: string
      enum:
        - pronunciation-dictionary
      title: ProviderProviderResourceNameGetParametersResourceName
    ProviderProviderResourceNameGetParametersSortOrder:
      type: string
      enum:
        - ASC
        - DESC
      title: ProviderProviderResourceNameGetParametersSortOrder
    ProviderResourceProvider:
      type: string
      enum:
        - cartesia
        - 11labs
      description: This is the provider that manages this resource.
      title: ProviderResourceProvider
    ProviderResourceResourceName:
      type: string
      enum:
        - pronunciation-dictionary
      description: This is the name/type of the resource.
      title: ProviderResourceResourceName
    ProviderResourceResource:
      type: object
      properties: {}
      description: This is the full resource data from the provider's API.
      title: ProviderResourceResource
    ProviderResource:
      type: object
      properties:
        id:
          type: string
          description: This is the unique identifier for the provider resource.
        orgId:
          type: string
          description: >-
            This is the unique identifier for the org that this provider
            resource belongs to.
        createdAt:
          type: string
          format: date-time
          description: >-
            This is the ISO 8601 date-time string of when the provider resource
            was created.
        updatedAt:
          type: string
          format: date-time
          description: >-
            This is the ISO 8601 date-time string of when the provider resource
            was last updated.
        provider:
          $ref: '#/components/schemas/ProviderResourceProvider'
          description: This is the provider that manages this resource.
        resourceName:
          $ref: '#/components/schemas/ProviderResourceResourceName'
          description: This is the name/type of the resource.
        resourceId:
          type: string
          description: This is the provider-specific identifier for the resource.
        resource:
          $ref: '#/components/schemas/ProviderResourceResource'
          description: This is the full resource data from the provider's API.
      required:
        - id
        - orgId
        - createdAt
        - updatedAt
        - provider
        - resourceName
        - resourceId
        - resource
      title: ProviderResource
    PaginationMeta:
      type: object
      properties:
        itemsPerPage:
          type: number
          format: double
        totalItems:
          type: number
          format: double
        currentPage:
          type: number
          format: double
        itemsBeyondRetention:
          type: boolean
        createdAtLe:
          type: string
          format: date-time
        createdAtGe:
          type: string
          format: date-time
      required:
        - itemsPerPage
        - totalItems
        - currentPage
      title: PaginationMeta
    ProviderResourcePaginatedResponse:
      type: object
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/ProviderResource'
        metadata:
          $ref: '#/components/schemas/PaginationMeta'
      required:
        - results
        - metadata
      title: ProviderResourcePaginatedResponse
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      description: Retrieve your API Key from [Dashboard](dashboard.vapi.ai).

```

## SDK Code Examples

```python
from vapi import Vapi

client = Vapi(
    token="YOUR_TOKEN_HERE",
)

client.provider_resources.provider_resource_controller_get_provider_resources_paginated(
    provider="cartesia",
    resource_name="pronunciation-dictionary",
)

```

```go
package example

import (
    context "context"

    serversdkgo "github.com/VapiAI/server-sdk-go"
    client "github.com/VapiAI/server-sdk-go/client"
    option "github.com/VapiAI/server-sdk-go/option"
)

func do() {
    client := client.NewClient(
        option.WithToken(
            "YOUR_TOKEN_HERE",
        ),
    )
    request := &serversdkgo.ProviderResourceControllerGetProviderResourcesPaginatedRequest{
        Provider: serversdkgo.ProviderResourceControllerGetProviderResourcesPaginatedRequestProviderCartesia.Ptr(),
        ResourceName: serversdkgo.ProviderResourceControllerGetProviderResourcesPaginatedRequestResourceNamePronunciationDictionary.Ptr(),
    }
    client.ProviderResources.ProviderResourceControllerGetProviderResourcesPaginated(
        context.TODO(),
        request,
    )
}

```